package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员发票抬头对象 member_invoice_title
 *
 * @author jsowell
 * @date 2023-04-13
 */
public class MemberInvoiceTitle extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private Long id;

	/**
	 * 会员id
	 */
	@Excel(name = "会员id")
	private String memberId;

	/**
	 * 抬头类型（1-单位；2-个人）
	 */
	@Excel(name = "抬头类型", readConverterExp = "1=-单位；2-个人")
	private String titleType;

	/**
	 * 单位名称
	 */
	@Excel(name = "单位名称")
	private String name;

	/**
	 * 税号
	 */
	@Excel(name = "税号")
	private String taxId;

	/**
	 * 单位地址
	 */
	@Excel(name = "单位地址")
	private String unitAddress;

	/**
	 * 电话号码
	 */
	@Excel(name = "电话号码")
	private String phoneNumber;

	/**
	 * 开户银行
	 */
	@Excel(name = "开户银行")
	private String bankName;

	/**
	 * 银行账户
	 */
	@Excel(name = "银行账户")
	private String bankAccountNumber;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setTitleType(String titleType) {
		this.titleType = titleType;
	}

	public String getTitleType() {
		return titleType;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setTaxId(String taxId) {
		this.taxId = taxId;
	}

	public String getTaxId() {
		return taxId;
	}

	public void setUnitAddress(String unitAddress) {
		this.unitAddress = unitAddress;
	}

	public String getUnitAddress() {
		return unitAddress;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankAccountNumber(String bankAccountNumber) {
		this.bankAccountNumber = bankAccountNumber;
	}

	public String getBankAccountNumber() {
		return bankAccountNumber;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("memberId", getMemberId())
				.append("titleType", getTitleType())
				.append("name", getName())
				.append("taxId", getTaxId())
				.append("unitAddress", getUnitAddress())
				.append("phoneNumber", getPhoneNumber())
				.append("bankName", getBankName())
				.append("bankAccountNumber", getBankAccountNumber())
				.append("createTime", getCreateTime())
				.append("createBy", getCreateBy())
				.append("updateTime", getUpdateTime())
				.append("updateBy", getUpdateBy())
				.append("delFlag", getDelFlag())
				.toString();
	}
}
